import { Observable } from 'rxjs';
import { Annotation } from '../4d-objects';
import { FourdCesiumHelper } from '../cesium-helpers';
import { Renderer, PlottableReference } from '../renderer';
export declare class BlankAnnotationRenderer extends Renderer<Annotation> {
    private cesium;
    constructor(cesium: FourdCesiumHelper);
    onAdd(p: Annotation, args?: any): Observable<PlottableReference>;
    onUpdate(p: Annotation, pr: PlottableReference, args?: any): Observable<PlottableReference>;
    onRemove(obj: Annotation, pr: PlottableReference): Observable<PlottableReference>;
}
export declare class LegacyAnnotationRenderer extends Renderer<Annotation> {
    private cesium;
    constructor(cesium: FourdCesiumHelper);
    onAdd(p: Annotation, args?: any): Observable<PlottableReference>;
    onRemove(obj: Annotation, pr: PlottableReference): Observable<PlottableReference>;
}
