import { Observable } from 'rxjs';
import { Transform } from '../4d-objects';
import { FourdCesiumHelper } from '../cesium-helpers';
import { Renderer, PlottableReference } from '../renderer';
export declare class TMSRenderer extends Renderer<Transform> {
    private cesium;
    constructor(cesium: FourdCesiumHelper);
    onAdd(p: Transform, args?: any): Observable<PlottableReference>;
    onRemove(obj: Transform, pr: PlottableReference): Observable<PlottableReference>;
}
export declare class LASRenderer extends Renderer<Transform> {
    private cesium;
    constructor(cesium: FourdCesiumHelper);
    onAdd(p: Transform, args?: any): Observable<PlottableReference>;
    onRemove(obj: Transform, pr: PlottableReference): Observable<PlottableReference>;
}
export declare class ThreeDTileRenderer extends Renderer<Transform> {
    private cesium;
    constructor(cesium: FourdCesiumHelper);
    onAdd(p: Transform, args?: any): Observable<PlottableReference>;
    onRemove(obj: Transform, pr: PlottableReference): Observable<PlottableReference>;
}
export declare class KMLRenderer extends Renderer<Transform> {
    private cesium;
    constructor(cesium: FourdCesiumHelper);
    onAdd(p: Transform, args?: any): Observable<PlottableReference>;
    onRemove(obj: Transform, pr: PlottableReference): Observable<PlottableReference>;
}
export declare class PhotoRenderer extends Renderer<Transform> {
    private cesium;
    constructor(cesium: FourdCesiumHelper);
    onAdd(p: Transform, args?: any): Observable<PlottableReference>;
    onRemove(obj: Transform, pr: PlottableReference): Observable<PlottableReference>;
}
export declare class TerrainRenderer extends Renderer<Transform> {
    private cesium;
    constructor(cesium: FourdCesiumHelper);
    onAdd(p: Transform, args?: any): Observable<PlottableReference>;
    onRemove(obj: Transform, pr: PlottableReference): Observable<PlottableReference>;
}
