import { Annotation, PlottableModel } from '../4d-objects';
import { LegacyAnnotationRenderer } from './cesium-renderers-annot';
import { Observable } from 'rxjs';
import { PlottableReference } from '../renderer';
/**
 * an implmentation speicifc coordinate. Contains untis to convert from cesium to standard coords
 * as well as placeholders for holding the cesium cartesian coords so they dont need to be recalced
 */
export declare class PinAnnotationRenderer extends LegacyAnnotationRenderer {
    onUpdate(obj: Annotation, pr: PlottableReference, args?: any): Observable<PlottableReference>;
    getPinImage(annotation: PlottableModel<any>, pinColor?: string): string;
    getPinSvg(icon: string, pinColor?: string, size?: number): string;
}
